# Function run_jupyter_model

- run_jupyter_model(
  __namedParameters: {
  configuration: any;
  csvPath: any;
  hyperparameters: any;
  ipynbPath: any;
  },
  ): Promise<
  | {
  error: any;
  fit_object?: undefined;
  metric_values?: undefined;
  report?: undefined;
  }
  | {
  error?: undefined;
  fit_object: NonSharedBuffer;
  metric_values: any;
  report: NonSharedBuffer;
  },
  >

  #### Parameters

  - __namedParameters: { configuration: any; csvPath: any; hyperparameters: any; ipynbPath: any }

  #### Returns Promise<
  | {
  error: any;
  fit_object?: undefined;
  metric_values?: undefined;
  report?: undefined;
  }
  | {
  error?: undefined;
  fit_object: NonSharedBuffer;
  metric_values: any;
  report: NonSharedBuffer;
  },
  >

  - Defined in packages/saltcorn-data/model-helper.js:112